gdata.contacts | index /usr/local/google/home/afshar/src/external-gdata-release/google3/src/gdata/contacts/__init__.py

`Contains extensions to ElementWrapper objects used with Google Contacts.`

Package Contents

``

client | data | service |

Classes

``

atom.AtomBase(atom.ExtensionContainer)
  GDataBase
    ContactsBase
      Birthday
      Event
      ExternalId
      Gender
      GroupMembershipInfo
      Nickname
      Occupation
      Relation
      UserDefinedField
      Website
    Deleted
    Email
    FormattedAddress
    IM
    OrgDepartment
    OrgJobDescription
    OrgName
    OrgTitle
    Organization
    PhoneNumber
    PostalAddress
    StructuredPostalAddress
    When
    Where
gdata.BatchEntry(gdata.GDataEntry)
  GroupEntry
  PersonEntry
    ContactEntry
    ProfileEntry
gdata.BatchFeed(gdata.GDataFeed)
  ContactsFeed(gdata.BatchFeed, gdata.LinkFinder)
  GroupsFeed
  ProfilesFeed(gdata.BatchFeed, gdata.LinkFinder)
gdata.LinkFinder(atom.LinkFinder)
  ContactsFeed(gdata.BatchFeed, gdata.LinkFinder)
  ProfilesFeed(gdata.BatchFeed, gdata.LinkFinder)

class Birthday(ContactsBase)
`` | `The Google Contacts Birthday element.`

Method resolution order:
  Birthday
  ContactsBase
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, when=None, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class ContactEntry(PersonEntry)
`` | `A Google Contact flavor of an Atom Entry.`

Method resolution order:
  ContactEntry
  PersonEntry
  gdata.BatchEntry
  gdata.GDataEntry
  atom.Entry
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods defined here:

GetPhotoEditLink(self)

GetPhotoLink(self)

__init__(self, author=None, category=None, content=None, atom_id=None, link=None, published=None, title=None, updated=None, organization=None, phone_number=None, nickname=None, occupation=None, gender=None, birthday=None, postal_address=None, structured_postal_address=None, email=None, im=None, relation=None, user_defined_field=None, website=None, external_id=None, event=None, batch_operation=None, batch_id=None, batch_status=None, text=None, extension_elements=None, extension_attributes=None, etag=None, deleted=None, extended_property=None, group_membership_info=None)

Methods inherited from gdata.GDataEntry:

GetMediaURL(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

IsMedia(self)
  `Determines whether or not an entry is a GData Media entry.`

Data descriptors inherited from gdata.GDataEntry:

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class ContactsBase(GDataBase)
`` | `The Google Contacts intermediate class for Contacts namespace.`

Method resolution order:
  ContactsBase
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from GDataBase:

__init__(self, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class ContactsFeed(gdata.BatchFeed, gdata.LinkFinder)
`` | `A Google Contacts feed flavor of an Atom Feed.`

Method resolution order:
  ContactsFeed
  gdata.BatchFeed
  gdata.GDataFeed
  atom.Feed
  atom.Source
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods defined here:

__init__(self, author=None, category=None, contributor=None, generator=None, icon=None, atom_id=None, link=None, logo=None, rights=None, subtitle=None, title=None, updated=None, entry=None, total_results=None, start_index=None, items_per_page=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from gdata.BatchFeed:

AddBatchEntry(self, entry=None, id_url_string=None, batch_id_string=None, operation_string=None)
  `Logic for populating members of a BatchEntry and adding to the feed.
  If the entry is not a BatchEntry, it is converted to a BatchEntry so
  that the batch specific members will be present.
  The id_url_string can be used in place of an entry if the batch operation
  applies to a URL. For example query and delete operations require just
  the URL of an entry, no body is sent in the HTTP request. If an
  id_url_string is sent instead of an entry, a BatchEntry is created and
  added to the feed.
  This method also assigns the desired batch id to the entry so that it
  can be referenced in the server's response. If the batch_id_string is
  None, this method will assign a batch_id to be the index at which this
  entry will be in the feed's entry list.
  Args:
  entry: BatchEntry, atom.Entry, or another Entry flavor (optional) The
  entry which will be sent to the server as part of the batch request.
  The item must have a valid atom id so that the server knows which
  entry this request references.
  id_url_string: str (optional) The URL of the entry to be acted on. You
  can find this URL in the text member of the atom id for an entry.
  If an entry is not sent, this id will be used to construct a new
  BatchEntry which will be added to the request feed.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. Note that batch_ids should either always be specified or
  never, mixing could potentially result in duplicate batch ids.
  operation_string: str (optional) The desired batch operation which will
  set the batch_operation.type member of the entry. Options are
  'insert', 'update', 'delete', and 'query'
  Raises:
  MissingRequiredParameters: Raised if neither an id_ url_string nor an
  entry are provided in the request.
  Returns:
  The added entry.`

AddDelete(self, url_string=None, entry=None, batch_id_string=None)
  `Adds a delete request to the batch request feed.
  This method takes either the url_string which is the atom id of the item
  to be deleted, or the entry itself. The atom id of the entry must be
  present so that the server knows which entry should be deleted.
  Args:
  url_string: str (optional) The URL of the entry to be deleted. You can
  find this URL in the text member of the atom id for an entry.
  entry: BatchEntry (optional) The entry to be deleted.
  batch_id_string: str (optional)
  Raises:
  MissingRequiredParameters: Raised if neither a url_string nor an entry
  are provided in the request.`

AddInsert(self, entry, batch_id_string=None)
  `Add an insert request to the operations in this batch request feed.
  If the entry doesn't yet have an operation or a batch id, these will
  be set to the insert operation and a batch_id specified as a parameter.
  Args:
  entry: BatchEntry The entry which will be sent in the batch feed as an
  insert request.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. Note that batch_ids should either always be specified or
  never, mixing could potentially result in duplicate batch ids.`

AddQuery(self, url_string=None, entry=None, batch_id_string=None)
  `Adds a query request to the batch request feed.
  This method takes either the url_string which is the query URL
  whose results will be added to the result feed. The query URL will
  be encapsulated in a BatchEntry, and you may pass in the BatchEntry
  with a query URL instead of sending a url_string.
  Args:
  url_string: str (optional)
  entry: BatchEntry (optional)
  batch_id_string: str (optional)
  Raises:
  MissingRequiredParameters`

AddUpdate(self, entry, batch_id_string=None)
  `Add an update request to the list of batch operations in this feed.
  Sets the operation type of the entry to insert if it is not already set
  and assigns the desired batch id to the entry so that it can be
  referenced in the server's response.
  Args:
  entry: BatchEntry The entry which will be sent to the server as an
  update (HTTP PUT) request. The item must have a valid atom id
  so that the server knows which entry to replace.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. See also comments for AddInsert.`

GetBatchLink(self)

Data descriptors inherited from gdata.GDataFeed:

generator

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class Deleted(GDataBase)
`` | `The Google Contacts Deleted element.`

Method resolution order:
  Deleted
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from GDataBase:

__init__(self, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Email(GDataBase)
`` | `The Google Contacts Email element.`

Method resolution order:
  Email
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, label=None, rel=None, address=None, primary='false', text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Event(ContactsBase)
`` | `The Google Contacts Event element.`

Method resolution order:
  Event
  ContactsBase
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, label=None, rel=None, when=None, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class ExternalId(ContactsBase)
`` | `The Google Contacts ExternalId element.`

Method resolution order:
  ExternalId
  ContactsBase
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, label=None, rel=None, value=None, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class FormattedAddress(GDataBase)
`` | `The Google Contacts FormattedAddress element.`

Method resolution order:
  FormattedAddress
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from GDataBase:

__init__(self, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class GDataBase(atom.AtomBase)
`` | `The Google Contacts intermediate class from atom.AtomBase.`

Method resolution order:
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Gender(ContactsBase)
`` | `The Google Contacts Gender element.`

Method resolution order:
  Gender
  ContactsBase
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, value=None, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class GroupEntry(gdata.BatchEntry)
`` | `Represents a contact group.`

Method resolution order:
  GroupEntry
  gdata.BatchEntry
  gdata.GDataEntry
  atom.Entry
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods defined here:

__init__(self, author=None, category=None, content=None, contributor=None, atom_id=None, link=None, published=None, rights=None, source=None, summary=None, control=None, title=None, updated=None, extended_property=None, batch_operation=None, batch_id=None, batch_status=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from gdata.GDataEntry:

GetMediaURL(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

IsMedia(self)
  `Determines whether or not an entry is a GData Media entry.`

Data descriptors inherited from gdata.GDataEntry:

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class GroupMembershipInfo(ContactsBase)
`` | `The Google Contacts GroupMembershipInfo element.`

Method resolution order:
  GroupMembershipInfo
  ContactsBase
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, deleted=None, href=None, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class GroupsFeed(gdata.BatchFeed)
`` | `A Google contact groups feed flavor of an Atom Feed.`

Method resolution order:
  GroupsFeed
  gdata.BatchFeed
  gdata.GDataFeed
  atom.Feed
  atom.Source
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods inherited from gdata.BatchFeed:

AddBatchEntry(self, entry=None, id_url_string=None, batch_id_string=None, operation_string=None)
  `Logic for populating members of a BatchEntry and adding to the feed.
  If the entry is not a BatchEntry, it is converted to a BatchEntry so
  that the batch specific members will be present.
  The id_url_string can be used in place of an entry if the batch operation
  applies to a URL. For example query and delete operations require just
  the URL of an entry, no body is sent in the HTTP request. If an
  id_url_string is sent instead of an entry, a BatchEntry is created and
  added to the feed.
  This method also assigns the desired batch id to the entry so that it
  can be referenced in the server's response. If the batch_id_string is
  None, this method will assign a batch_id to be the index at which this
  entry will be in the feed's entry list.
  Args:
  entry: BatchEntry, atom.Entry, or another Entry flavor (optional) The
  entry which will be sent to the server as part of the batch request.
  The item must have a valid atom id so that the server knows which
  entry this request references.
  id_url_string: str (optional) The URL of the entry to be acted on. You
  can find this URL in the text member of the atom id for an entry.
  If an entry is not sent, this id will be used to construct a new
  BatchEntry which will be added to the request feed.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. Note that batch_ids should either always be specified or
  never, mixing could potentially result in duplicate batch ids.
  operation_string: str (optional) The desired batch operation which will
  set the batch_operation.type member of the entry. Options are
  'insert', 'update', 'delete', and 'query'
  Raises:
  MissingRequiredParameters: Raised if neither an id_ url_string nor an
  entry are provided in the request.
  Returns:
  The added entry.`

AddDelete(self, url_string=None, entry=None, batch_id_string=None)
  `Adds a delete request to the batch request feed.
  This method takes either the url_string which is the atom id of the item
  to be deleted, or the entry itself. The atom id of the entry must be
  present so that the server knows which entry should be deleted.
  Args:
  url_string: str (optional) The URL of the entry to be deleted. You can
  find this URL in the text member of the atom id for an entry.
  entry: BatchEntry (optional) The entry to be deleted.
  batch_id_string: str (optional)
  Raises:
  MissingRequiredParameters: Raised if neither a url_string nor an entry
  are provided in the request.`

AddInsert(self, entry, batch_id_string=None)
  `Add an insert request to the operations in this batch request feed.
  If the entry doesn't yet have an operation or a batch id, these will
  be set to the insert operation and a batch_id specified as a parameter.
  Args:
  entry: BatchEntry The entry which will be sent in the batch feed as an
  insert request.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. Note that batch_ids should either always be specified or
  never, mixing could potentially result in duplicate batch ids.`

AddQuery(self, url_string=None, entry=None, batch_id_string=None)
  `Adds a query request to the batch request feed.
  This method takes either the url_string which is the query URL
  whose results will be added to the result feed. The query URL will
  be encapsulated in a BatchEntry, and you may pass in the BatchEntry
  with a query URL instead of sending a url_string.
  Args:
  url_string: str (optional)
  entry: BatchEntry (optional)
  batch_id_string: str (optional)
  Raises:
  MissingRequiredParameters`

AddUpdate(self, entry, batch_id_string=None)
  `Add an update request to the list of batch operations in this feed.
  Sets the operation type of the entry to insert if it is not already set
  and assigns the desired batch id to the entry so that it can be
  referenced in the server's response.
  Args:
  entry: BatchEntry The entry which will be sent to the server as an
  update (HTTP PUT) request. The item must have a valid atom id
  so that the server knows which entry to replace.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. See also comments for AddInsert.`

GetBatchLink(self)

__init__(self, author=None, category=None, contributor=None, generator=None, icon=None, atom_id=None, link=None, logo=None, rights=None, subtitle=None, title=None, updated=None, entry=None, total_results=None, start_index=None, items_per_page=None, interrupted=None, extension_elements=None, extension_attributes=None, text=None)

Data descriptors inherited from gdata.GDataFeed:

generator

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class IM(GDataBase)
`` | `The Google Contacts IM element.`

Method resolution order:
  IM
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, primary='false', rel=None, address=None, protocol=None, label=None, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Nickname(ContactsBase)
`` | `The Google Contacts Nickname element.`

Method resolution order:
  Nickname
  ContactsBase
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from GDataBase:

__init__(self, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Occupation(ContactsBase)
`` | `The Google Contacts Occupation element.`

Method resolution order:
  Occupation
  ContactsBase
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from GDataBase:

__init__(self, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class OrgDepartment(GDataBase)
`` | `The Google Contacts OrgDepartment element.`

Method resolution order:
  OrgDepartment
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from GDataBase:

__init__(self, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class OrgJobDescription(GDataBase)
`` | `The Google Contacts OrgJobDescription element.`

Method resolution order:
  OrgJobDescription
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from GDataBase:

__init__(self, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class OrgName(GDataBase)
`` | `The Google Contacts OrgName element.`

Method resolution order:
  OrgName
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from GDataBase:

__init__(self, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class OrgTitle(GDataBase)
`` | `The Google Contacts OrgTitle element.`

Method resolution order:
  OrgTitle
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods inherited from GDataBase:

__init__(self, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Organization(GDataBase)
`` | `The Google Contacts Organization element.`

Method resolution order:
  Organization
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, label=None, rel=None, primary='false', org_name=None, org_title=None, org_department=None, org_job_description=None, where=None, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class PersonEntry(gdata.BatchEntry)
`` | `Base class for ContactEntry and ProfileEntry.`

Method resolution order:
  PersonEntry
  gdata.BatchEntry
  gdata.GDataEntry
  atom.Entry
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods defined here:

__init__(self, author=None, category=None, content=None, atom_id=None, link=None, published=None, title=None, updated=None, organization=None, phone_number=None, nickname=None, occupation=None, gender=None, birthday=None, postal_address=None, structured_postal_address=None, email=None, im=None, relation=None, user_defined_field=None, website=None, external_id=None, event=None, batch_operation=None, batch_id=None, batch_status=None, text=None, extension_elements=None, extension_attributes=None, etag=None)

Methods inherited from gdata.GDataEntry:

GetMediaURL(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

IsMedia(self)
  `Determines whether or not an entry is a GData Media entry.`

Data descriptors inherited from gdata.GDataEntry:

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class PhoneNumber(GDataBase)
`` | `The Google Contacts PhoneNumber element.`

Method resolution order:
  PhoneNumber
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, label=None, rel=None, uri=None, primary='false', text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class PostalAddress(GDataBase)
`` | `The Google Contacts PostalAddress element.`

Method resolution order:
  PostalAddress
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, primary=None, rel=None, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class ProfileEntry(PersonEntry)
`` | `A Google Profiles flavor of an Atom Entry.`

Method resolution order:
  ProfileEntry
  PersonEntry
  gdata.BatchEntry
  gdata.GDataEntry
  atom.Entry
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods inherited from PersonEntry:

__init__(self, author=None, category=None, content=None, atom_id=None, link=None, published=None, title=None, updated=None, organization=None, phone_number=None, nickname=None, occupation=None, gender=None, birthday=None, postal_address=None, structured_postal_address=None, email=None, im=None, relation=None, user_defined_field=None, website=None, external_id=None, event=None, batch_operation=None, batch_id=None, batch_status=None, text=None, extension_elements=None, extension_attributes=None, etag=None)

Methods inherited from gdata.GDataEntry:

GetMediaURL(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

IsMedia(self)
  `Determines whether or not an entry is a GData Media entry.`

Data descriptors inherited from gdata.GDataEntry:

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class ProfilesFeed(gdata.BatchFeed, gdata.LinkFinder)
`` | `A Google Profiles feed flavor of an Atom Feed.`

Method resolution order:
  ProfilesFeed
  gdata.BatchFeed
  gdata.GDataFeed
  atom.Feed
  atom.Source
  atom.FeedEntryParent
  atom.AtomBase
  atom.ExtensionContainer
  gdata.LinkFinder
  atom.LinkFinder
  __builtin__.object

Methods defined here:

__init__(self, author=None, category=None, contributor=None, generator=None, icon=None, atom_id=None, link=None, logo=None, rights=None, subtitle=None, title=None, updated=None, entry=None, total_results=None, start_index=None, items_per_page=None, extension_elements=None, extension_attributes=None, text=None)

Methods inherited from gdata.BatchFeed:

AddBatchEntry(self, entry=None, id_url_string=None, batch_id_string=None, operation_string=None)
  `Logic for populating members of a BatchEntry and adding to the feed.
  If the entry is not a BatchEntry, it is converted to a BatchEntry so
  that the batch specific members will be present.
  The id_url_string can be used in place of an entry if the batch operation
  applies to a URL. For example query and delete operations require just
  the URL of an entry, no body is sent in the HTTP request. If an
  id_url_string is sent instead of an entry, a BatchEntry is created and
  added to the feed.
  This method also assigns the desired batch id to the entry so that it
  can be referenced in the server's response. If the batch_id_string is
  None, this method will assign a batch_id to be the index at which this
  entry will be in the feed's entry list.
  Args:
  entry: BatchEntry, atom.Entry, or another Entry flavor (optional) The
  entry which will be sent to the server as part of the batch request.
  The item must have a valid atom id so that the server knows which
  entry this request references.
  id_url_string: str (optional) The URL of the entry to be acted on. You
  can find this URL in the text member of the atom id for an entry.
  If an entry is not sent, this id will be used to construct a new
  BatchEntry which will be added to the request feed.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. Note that batch_ids should either always be specified or
  never, mixing could potentially result in duplicate batch ids.
  operation_string: str (optional) The desired batch operation which will
  set the batch_operation.type member of the entry. Options are
  'insert', 'update', 'delete', and 'query'
  Raises:
  MissingRequiredParameters: Raised if neither an id_ url_string nor an
  entry are provided in the request.
  Returns:
  The added entry.`

AddDelete(self, url_string=None, entry=None, batch_id_string=None)
  `Adds a delete request to the batch request feed.
  This method takes either the url_string which is the atom id of the item
  to be deleted, or the entry itself. The atom id of the entry must be
  present so that the server knows which entry should be deleted.
  Args:
  url_string: str (optional) The URL of the entry to be deleted. You can
  find this URL in the text member of the atom id for an entry.
  entry: BatchEntry (optional) The entry to be deleted.
  batch_id_string: str (optional)
  Raises:
  MissingRequiredParameters: Raised if neither a url_string nor an entry
  are provided in the request.`

AddInsert(self, entry, batch_id_string=None)
  `Add an insert request to the operations in this batch request feed.
  If the entry doesn't yet have an operation or a batch id, these will
  be set to the insert operation and a batch_id specified as a parameter.
  Args:
  entry: BatchEntry The entry which will be sent in the batch feed as an
  insert request.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. Note that batch_ids should either always be specified or
  never, mixing could potentially result in duplicate batch ids.`

AddQuery(self, url_string=None, entry=None, batch_id_string=None)
  `Adds a query request to the batch request feed.
  This method takes either the url_string which is the query URL
  whose results will be added to the result feed. The query URL will
  be encapsulated in a BatchEntry, and you may pass in the BatchEntry
  with a query URL instead of sending a url_string.
  Args:
  url_string: str (optional)
  entry: BatchEntry (optional)
  batch_id_string: str (optional)
  Raises:
  MissingRequiredParameters`

AddUpdate(self, entry, batch_id_string=None)
  `Add an update request to the list of batch operations in this feed.
  Sets the operation type of the entry to insert if it is not already set
  and assigns the desired batch id to the entry so that it can be
  referenced in the server's response.
  Args:
  entry: BatchEntry The entry which will be sent to the server as an
  update (HTTP PUT) request. The item must have a valid atom id
  so that the server knows which entry to replace.
  batch_id_string: str (optional) The batch ID to be used to reference
  this batch operation in the results feed. If this parameter is None,
  the current length of the feed's entry array will be used as a
  count. See also comments for AddInsert.`

GetBatchLink(self)

Data descriptors inherited from gdata.GDataFeed:

generator

id

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Methods inherited from gdata.LinkFinder:

GetAclLink(self)

GetEditLink(self)

GetEditMediaLink(self)
  `The Picasa API mistakenly returns media-edit rather than edit-media, but
  this may change soon.`

GetFeedLink(self)

GetHtmlLink(self)
  `Find the first link with rel of alternate and type of text/html
  Returns:
  An atom.Link or None if no links matched`

GetNextLink(self)

GetPostLink(self)
  `Get a link containing the POST target URL.
  The POST target URL is used to insert new entries.
  Returns:
  A link object with a rel matching the POST type.`

GetPrevLink(self)

GetSelfLink(self)
  `Find the first link with rel set to 'self'
  Returns:
  An atom.Link or none if none of the links had rel equal to 'self'`

Methods inherited from atom.LinkFinder:

GetAlternateLink(self)

GetLicenseLink(self)

class Relation(ContactsBase)
`` | `The Google Contacts Relation element.`

Method resolution order:
  Relation
  ContactsBase
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, label=None, rel=None, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class StructuredPostalAddress(GDataBase)
`` | `The Google Contacts StructuredPostalAddress element.`

Method resolution order:
  StructuredPostalAddress
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, rel=None, primary=None, formatted_address=None, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class UserDefinedField(ContactsBase)
`` | `The Google Contacts UserDefinedField element.`

Method resolution order:
  UserDefinedField
  ContactsBase
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, key=None, value=None, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Website(ContactsBase)
`` | `The Google Contacts Website element.`

Method resolution order:
  Website
  ContactsBase
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, href=None, label=None, primary='false', rel=None, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class When(GDataBase)
`` | `The Google Contacts When element.`

Method resolution order:
  When
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, start_time=None, end_time=None, label=None, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

class Where(GDataBase)
`` | `The Google Contacts Where element.`

Method resolution order:
  Where
  GDataBase
  atom.AtomBase
  atom.ExtensionContainer
  __builtin__.object

Methods defined here:

__init__(self, value_string=None, rel=None, label=None, text=None, extension_elements=None, extension_attributes=None)

Methods inherited from atom.AtomBase:

ToString(self, string_encoding='UTF-8')
  `Converts the Atom object to a string containing XML.`

__str__(self)

Methods inherited from atom.ExtensionContainer:

FindExtensions(self, tag=None, namespace=None)
  `Searches extension elements for child nodes with the desired name.
  Returns a list of extension elements within this object whose tag
  and/or namespace match those passed in. To find all extensions in
  a particular namespace, specify the namespace but not the tag name.
  If you specify only the tag, the result list may contain extension
  elements in multiple namespaces.
  Args:
  tag: str (optional) The desired tag
  namespace: str (optional) The desired namespace
  Returns:
  A list of elements whose tag and/or namespace match the parameters
  values`

Data descriptors inherited from atom.ExtensionContainer:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

Functions

``

ContactEntryFromString(xml_string)

ContactsFeedFromString(xml_string)

EventFromString(xml_string)

ExternalIdFromString(xml_string)

GroupEntryFromString(xml_string)

GroupsFeedFromString(xml_string)

ProfileEntryFromString(xml_string)
  `Converts an XML string into a ProfileEntry object.
  Args:
  xml_string: string The XML describing a Profile entry.
  Returns:
  A ProfileEntry object corresponding to the given XML.`

ProfilesFeedFromString(xml_string)
  `Converts an XML string into a ProfilesFeed object.
  Args:
  xml_string: string The XML describing a Profiles feed.
  Returns:
  A ProfilesFeed object corresponding to the given XML.`

RelationFromString(xml_string)

UserDefinedFieldFromString(xml_string)

WebsiteFromString(xml_string)

Data

``

CONTACTS_NAMESPACE = 'http://schemas.google.com/contact/2008'
EXTERNAL_ID_ORGANIZATION = 'organization'
IM_AIM = 'http://schemas.google.com/g/2005#AIM'
IM_GOOGLE_TALK = 'http://schemas.google.com/g/2005#GOOGLE_TALK'
IM_ICQ = 'http://schemas.google.com/g/2005#ICQ'
IM_JABBER = 'http://schemas.google.com/g/2005#JABBER'
IM_MSN = 'http://schemas.google.com/g/2005#MSN'
IM_NETMEETING = 'http://schemas.google.com/g/2005#netmeeting'
IM_QQ = 'http://schemas.google.com/g/2005#QQ'
IM_SKYPE = 'http://schemas.google.com/g/2005#SKYPE'
IM_YAHOO = 'http://schemas.google.com/g/2005#YAHOO'
PHONE_ASSISTANT = 'http://schemas.google.com/g/2005#assistant'
PHONE_CALLBACK = 'http://schemas.google.com/g/2005#callback'
PHONE_CAR = 'http://schemas.google.com/g/2005#car'
PHONE_COMPANY_MAIN = 'http://schemas.google.com/g/2005#company_main'
PHONE_FAX = 'http://schemas.google.com/g/2005#fax'
PHONE_GENERAL = 'http://schemas.google.com/g/2005#general'
PHONE_HOME = 'http://schemas.google.com/g/2005#home'
PHONE_HOME_FAX = 'http://schemas.google.com/g/2005#home_fax'
PHONE_INTERNAL = 'http://schemas.google.com/g/2005#internal-extension'
PHONE_ISDN = 'http://schemas.google.com/g/2005#isdn'
PHONE_MAIN = 'http://schemas.google.com/g/2005#main'
PHONE_MOBILE = 'http://schemas.google.com/g/2005#mobile'
PHONE_OTHER = 'http://schemas.google.com/g/2005#other'
PHONE_OTHER_FAX = 'http://schemas.google.com/g/2005#other_fax'
PHONE_PAGER = 'http://schemas.google.com/g/2005#pager'
PHONE_RADIO = 'http://schemas.google.com/g/2005#radio'
PHONE_SATELLITE = 'http://schemas.google.com/g/2005#satellite'
PHONE_TELEX = 'http://schemas.google.com/g/2005#telex'
PHONE_TTY_TDD = 'http://schemas.google.com/g/2005#tty_tdd'
PHONE_VOIP = 'http://schemas.google.com/g/2005#voip'
PHONE_WORK = 'http://schemas.google.com/g/2005#work'
PHONE_WORK_FAX = 'http://schemas.google.com/g/2005#work_fax'
PHONE_WORK_MOBILE = 'http://schemas.google.com/g/2005#work_mobile'
PHONE_WORK_PAGER = 'http://schemas.google.com/g/2005#work_pager'
PHOTO_EDIT_LINK_REL = 'http://schemas.google.com/contacts/2008/rel#edit-photo'
PHOTO_LINK_REL = 'http://schemas.google.com/contacts/2008/rel#photo'
RELATION_MANAGER = 'manager'
REL_HOME = 'http://schemas.google.com/g/2005#home'
REL_OTHER = 'http://schemas.google.com/g/2005#other'
REL_WORK = 'http://schemas.google.com/g/2005#work'
__author__ = 'dbrattli (Dag Brattli)'

Author
`` |  | dbrattli (Dag Brattli)